// Copyright Amazon.com, Inc. or its affiliates. All Rights Reserved.
// SPDX-License-Identifier: Apache-2.0
import { AmplifyV6, LocalStorage, } from '@aws-amplify/core';
import { CognitoUserPoolsTokenProvider, cognitoCredentialsProvider, } from './auth';
export var DefaultAmplifyV6 = {
    configure: function (resourceConfig, libraryOptions) {
        var defaultLibraryOptions = {
            Auth: {
                tokenProvider: CognitoUserPoolsTokenProvider,
                credentialsProvider: cognitoCredentialsProvider,
            },
        };
        var updatedLibraryOptions = {};
        if (libraryOptions !== undefined) {
            updatedLibraryOptions = libraryOptions;
        }
        else {
            CognitoUserPoolsTokenProvider.setKeyValueStorage(LocalStorage);
            updatedLibraryOptions = defaultLibraryOptions;
        }
        AmplifyV6.configure(resourceConfig, updatedLibraryOptions);
    },
    getConfig: function () {
        return AmplifyV6.getConfig();
    },
};
