"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DefaultAmplifyV6 = void 0;
// Copyright Amazon.com, Inc. or its affiliates. All Rights Reserved.
// SPDX-License-Identifier: Apache-2.0
var core_1 = require("@aws-amplify/core");
var auth_1 = require("./auth");
exports.DefaultAmplifyV6 = {
    configure: function (resourceConfig, libraryOptions) {
        var defaultLibraryOptions = {
            Auth: {
                tokenProvider: auth_1.CognitoUserPoolsTokenProvider,
                credentialsProvider: auth_1.cognitoCredentialsProvider,
            },
        };
        var updatedLibraryOptions = {};
        if (libraryOptions !== undefined) {
            updatedLibraryOptions = libraryOptions;
        }
        else {
            auth_1.CognitoUserPoolsTokenProvider.setKeyValueStorage(core_1.LocalStorage);
            updatedLibraryOptions = defaultLibraryOptions;
        }
        core_1.AmplifyV6.configure(resourceConfig, updatedLibraryOptions);
    },
    getConfig: function () {
        return core_1.AmplifyV6.getConfig();
    },
};
